# Class ImagePropertyExplorer

Object
Widget
ImagePropertyExplorer

All Implemented Interfaces:
  `Localized`

public class ImagePropertyExplorer extends Widget
Information about `RenderedImage` (sources, layout, properties). The `image` property value is shown as the root of a tree of images, with image sources as children. When an image is selected, its layout (image size, tile size, etc.) is described in a table. Image properties are also available in a separated table.

This widget is useful mostly for debugging purposes or for advanced users. For displaying a geospatial raster as a GIS application, see `CoverageCanvas` instead.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ObjectProperty<RenderedImage>`
  `image`
  The root image to describe.
  `final BooleanProperty`
  `updateOnChange`
  Whether to update `ImagePropertyExplorer` content when the `image` changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImagePropertyExplorer()`
  Creates an initially empty explorer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Locale`
  `getLocale()`
  Returns the locale for controls and messages.
  `Region`
  `getView()`
  Returns the view of this explorer.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### image

    public final ObjectProperty<RenderedImage> image
    The root image to describe. This image will be the root of a tree; children will be image sources.

    #### API note

    We do not provide getter/setter for this property; use `WritableObjectValue​.set(Object)` directly instead. We omit the "Property" suffix for making this operation more natural.

  - ### updateOnChange

    public final BooleanProperty updateOnChange
    Whether to update `ImagePropertyExplorer` content when the `image` changed. This is usually `true` unless this `ImagePropertyExplorer` is hidden, in which case it may be useful to temporary disable updates for saving CPU times.
    Example: if this `ImagePropertyExplorer` is shown in a `TitledPane`, one can bind this property to `TitledPane​.expandedProperty()` for updating the content only if the pane is visible.
    Note that setting this property to `false` may have the effect of discarding current content when the `image` change. This is done for allowing the garbage collector to reclaim memory. The content is reset to `image` properties when `updateOnChange` become `true` again.

    #### API note

    We do not provide getter/setter for this property; use `WritableBooleanValue​.set(boolean)` directly instead. We omit the "Property" suffix for making this operation more natural.

- ## Constructor Details

  - ### ImagePropertyExplorer

    public ImagePropertyExplorer()
    Creates an initially empty explorer.

- ## Method Details

  - ### getView

    public Region getView()
    Returns the view of this explorer. The subclass is implementation dependent and may change in any future version.
    Specified by:
      `getView` in class `Widget`
    Returns:
      this explorer view.

  - ### getLocale

    public final Locale getLocale()
    Returns the locale for controls and messages.
    Specified by:
      `getLocale` in interface `Localized`
    Overrides:
      `getLocale` in class `Widget`
    Returns:
      the locale for controls in this widget.
    Since:
      1.2